Package org.eclipse.swt.layout

# Class RowData

java.lang.Object
org.eclipse.swt.layout.RowData

public final class RowData extends Object
Each control controlled by a `RowLayout` can have its initial width and height specified by setting a `RowData` object into the control.

The following code uses a `RowData` object to change the initial size of a `Button` in a `Shell`:

        Display display = new Display();
        Shell shell = new Shell(display);
        shell.setLayout(new RowLayout());
        Button button1 = new Button(shell, SWT.PUSH);
        button1.setText("Button 1");
        button1.setLayoutData(new RowData(50, 40));

Since:
  1.0
See Also:
  - `RowLayout`
  - Sample code and further information

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`exclude`
exclude informs the layout to ignore this control when sizing and positioning controls.
`int`
`height`
height specifies the preferred height in pixels.
`int`
`width`
width specifies the desired width in pixels.

## Constructor Summary

Constructors
Constructor
Description
`RowData()`
Constructs a new instance of RowData using default values.
`RowData(int width, int height)`
Constructs a new instance of RowData according to the parameters.
`RowData(Point point)`
Constructs a new instance of RowData according to the parameter.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### width

public int width
width specifies the desired width in pixels. This value is the wHint passed into Control.computeSize(int, int, boolean) to determine the preferred size of the control. The default value is SWT.DEFAULT.

See Also:
  - `Control.computeSize(int, int, boolean)`

### height

public int height
height specifies the preferred height in pixels. This value is the hHint passed into Control.computeSize(int, int, boolean) to determine the preferred size of the control. The default value is SWT.DEFAULT.

See Also:
  - `Control.computeSize(int, int, boolean)`

### exclude

public boolean exclude
exclude informs the layout to ignore this control when sizing and positioning controls. If this value is `true`, the size and position of the control will not be managed by the layout. If this value is `false`, the size and position of the control will be computed and assigned. The default value is `false`.

## Constructor Details

### RowData

public RowData()
Constructs a new instance of RowData using default values.

### RowData

public RowData(int width, int height)
Constructs a new instance of RowData according to the parameters. A value of SWT.DEFAULT indicates that no minimum width or no minimum height is specified.

Parameters:
  `width` - a minimum width for the control
  `height` - a minimum height for the control

### RowData

public RowData(Point point)
Constructs a new instance of RowData according to the parameter. A value of SWT.DEFAULT indicates that no minimum width or no minimum height is specified.

Parameters:
  `point` - a point whose x coordinate specifies a minimum width for the control and y coordinate specifies a minimum height for the control

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the RowData object